namespace Nox.Core {
    public enum PlayMode {
        None,
        PauseMenu,
        Adventure,
        Town,
        Rest,
        Combat
    }

    /// <summary>
    /// Prototype for crating new game modes
    /// </summary>
    public interface IPlayMode {
        bool IsGameModeInitialized { get;}

        public void EnterPlayMode();
        public void Tick();
        public void LateTick();
        void ExitGameMode();
        void Dispose();
    }
}
